Debian Bug report logs - #260471
xterm: text cursor sometimes retains color of previous position

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Paul Cassella <pwc@bigw.org>

Date: Tue, 20 Jul 2004 19:18:05 UTC

Severity: minor

Tags: upstream

Merged with 252873

Found in version 4.3.0.dfsg.1-4

Fixed in version xfree86/4.3.0.dfsg.1-8

Done: fabbione@fabbione.net (Fabio M. Di Nitto)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arthur Korn <arthur@debian.org>:
Bug#260471; Package devtodo. Full text and rfc822 format available.

Acknowledgement sent to Paul Cassella <pwc@bigw.org>:
New Bug report received and forwarded. Copy sent to Arthur Korn <arthur@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Cassella <pwc@bigw.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: devtodo: Cursor sometimes retains color of last entry
Date: Tue, 20 Jul 2004 12:10:56 -0700
Package: devtodo
Version: 0.1.17-3
Severity: minor

You can't tell from this, but the cursor after the last prompt here is red:

bash$ echo $TERM
xterm
bash$ mkdir todotest
bash$ cd todotest
bash$ todo -a test -p 1
Index of new item is 1
todo: warning, created database (.todo) has group or world permissions
bash$ todo
  1.test
bash$ 

It happens with any of the priority colors.

Note: It only happens when it's on the last line or two of the display, and
causes the text to scroll.

Any characters typed appear normal, and the cursor returns to normal with
the next newline, backspace, or delete.  Actually, it appears every
character on the line starts with red text, and is reset to normal when
something is entered on it.

After backspacing, the cursor becomes normal, but after typing back out to
where the cursor was it becomes red again.

Highlighting the last line, "bash$ " and any typed characters are
highlighted normally, with black letters on a white background.  The
untyped portion of the line is solid red.  (My xterms are white text on a
black background.)

Typing enough characters to wrap around the end of the line also returns
the cursor to normal.

It happens in an xterm with any setting of $TERM I tried (xterm, vt100,
ansi, vt52, dumb, linux, screen), but did not happen within an xterm
running screen, with any of those $TERMs.

It did not happen in gnome-terminal or Eterm.

xterm is 4.3.0-7


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.27-pre2-b
Locale: LANG=C, LC_CTYPE=C

Versions of packages devtodo depends on:
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.3.4-3    GCC support library
ii  libncurses5                 5.4-4        Shared libraries for terminal hand
ii  libreadline4                4.3-11       GNU readline and history libraries
ii  libstdc++5                  1:3.3.4-3    The GNU Standard C++ Library v3

-- no debconf information



Message sent on to Paul Cassella <pwc@bigw.org>:
Bug#260471. Full text and rfc822 format available.

Message #8 received at 260471-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 260471-submitter@bugs.debian.org
Subject: Re: Bug#260471: devtodo: Cursor sometimes retains color of last entry
Date: Wed, 21 Jul 2004 06:15:47 -0400
[Message part 1 (text/plain, inline)]
On Tue, Jul 20, 2004 at 09:30:11PM +0200, Paul Cassella wrote:
> Package: devtodo
> Version: 0.1.17-3
> Severity: minor
> 
> You can't tell from this, but the cursor after the last prompt here is red:

This looks like a more informative report on the same issue as #252873.
(should be reassigned to xterm as a duplicate of that report).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Paul Cassella <pwc@bigw.org>:
Bug#260471. Full text and rfc822 format available.

Message #11 received at 260471-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 260471-submitter@bugs.debian.org
Subject: re: 260471 - devtodo: Cursor sometimes retains color of last entry
Date: Tue, 27 Jul 2004 15:59:21 -0400
[Message part 1 (text/plain, inline)]
Reflecting a little more, there are two bugs here.  One is in devtodo,
and the other is in xterm.  Here's an expanded typescript of a test of
the reported conditions (ignore the ugly bash output ;-):

Script started on Wed Jul 21 15:08:42 2004
\n
\E[1m/tmp/todotest (1) 
\E[0mbash\r\r
\ntom@cyclops:/tmp/todotest$ /usr/bin/todo -a test p1\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b
\E[2PTERM=xterm-debian ded+\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b/usr/bin/todo -a test p1\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b\b
\E[K^G/usr/bin/todo -a test p1\b \b\b \b\b \b\b \b\b \b\b \b\b \b\b \b\b \b\b \b\b \b\r
\n 
\E[0m
\E[32m 1.
\E[0m
\E[1m
\E[31mtest\r
\n
\E[0mtom@cyclops:/tmp/todotest$ \r
\ntom@cyclops:/tmp/todotest$ exit\r
\n
\E[1m/tmp/todotest (2) 
\E[0m
\nScript done on Wed Jul 21 15:08:58 2004
\n

The \E[31m begins a red color, and then devtodo puts out a carriage return line
feed combination before resetting the color.  That's backwards.  xterm
shifts-in blank lines of the current background color (red).  That's by design
(for reasons too lengthy to bother discussing).  A quick check of devtodo's
code shows that it is mostly hardcoded (hence the uniform behavior ignoring
$TERM).

The minor bug in xterm is that it's picking up the red cell's color and not
resetting to default by the time the prompt comes up.  I'm looking to see if
there's a good fix for that.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `devtodo' to `xterm'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 252873 260471. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to fabbione@fabbione.net (Fabio M. Di Nitto):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Cassella <pwc@bigw.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 252873-close@bugs.debian.org (full text, mbox):

From: fabbione@fabbione.net (Fabio M. Di Nitto)
To: 252873-close@bugs.debian.org
Subject: Bug#252873: fixed in xfree86 4.3.0.dfsg.1-8
Date: Tue, 28 Sep 2004 09:47:51 -0400
Source: xfree86
Source-Version: 4.3.0.dfsg.1-8

We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/lbxproxy_4.3.0.dfsg.1-8_i386.deb
libdps-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libdps-dev_4.3.0.dfsg.1-8_i386.deb
libdps1-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libdps1-dbg_4.3.0.dfsg.1-8_i386.deb
libdps1_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libdps1_4.3.0.dfsg.1-8_i386.deb
libice-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libice-dev_4.3.0.dfsg.1-8_i386.deb
libice6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libice6-dbg_4.3.0.dfsg.1-8_i386.deb
libice6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libice6_4.3.0.dfsg.1-8_i386.deb
libsm-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libsm-dev_4.3.0.dfsg.1-8_i386.deb
libsm6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libsm6-dbg_4.3.0.dfsg.1-8_i386.deb
libsm6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libsm6_4.3.0.dfsg.1-8_i386.deb
libx11-6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libx11-6-dbg_4.3.0.dfsg.1-8_i386.deb
libx11-6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libx11-6_4.3.0.dfsg.1-8_i386.deb
libx11-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libx11-dev_4.3.0.dfsg.1-8_i386.deb
libxaw6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.3.0.dfsg.1-8_i386.deb
libxaw6-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxaw6-dev_4.3.0.dfsg.1-8_i386.deb
libxaw6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxaw6_4.3.0.dfsg.1-8_i386.deb
libxaw7-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.3.0.dfsg.1-8_i386.deb
libxaw7-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxaw7-dev_4.3.0.dfsg.1-8_i386.deb
libxaw7_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxaw7_4.3.0.dfsg.1-8_i386.deb
libxext-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxext-dev_4.3.0.dfsg.1-8_i386.deb
libxext6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxext6-dbg_4.3.0.dfsg.1-8_i386.deb
libxext6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxext6_4.3.0.dfsg.1-8_i386.deb
libxft1-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxft1-dbg_4.3.0.dfsg.1-8_i386.deb
libxft1_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxft1_4.3.0.dfsg.1-8_i386.deb
libxi-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxi-dev_4.3.0.dfsg.1-8_i386.deb
libxi6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxi6-dbg_4.3.0.dfsg.1-8_i386.deb
libxi6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxi6_4.3.0.dfsg.1-8_i386.deb
libxmu-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxmu-dev_4.3.0.dfsg.1-8_i386.deb
libxmu6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxmu6-dbg_4.3.0.dfsg.1-8_i386.deb
libxmu6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxmu6_4.3.0.dfsg.1-8_i386.deb
libxmuu-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxmuu-dev_4.3.0.dfsg.1-8_i386.deb
libxmuu1-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxmuu1-dbg_4.3.0.dfsg.1-8_i386.deb
libxmuu1_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxmuu1_4.3.0.dfsg.1-8_i386.deb
libxp-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxp-dev_4.3.0.dfsg.1-8_i386.deb
libxp6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxp6-dbg_4.3.0.dfsg.1-8_i386.deb
libxp6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxp6_4.3.0.dfsg.1-8_i386.deb
libxpm-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxpm-dev_4.3.0.dfsg.1-8_i386.deb
libxpm4-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxpm4-dbg_4.3.0.dfsg.1-8_i386.deb
libxpm4_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxpm4_4.3.0.dfsg.1-8_i386.deb
libxrandr-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxrandr-dev_4.3.0.dfsg.1-8_i386.deb
libxrandr2-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxrandr2-dbg_4.3.0.dfsg.1-8_i386.deb
libxrandr2_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxrandr2_4.3.0.dfsg.1-8_i386.deb
libxt-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxt-dev_4.3.0.dfsg.1-8_i386.deb
libxt6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxt6-dbg_4.3.0.dfsg.1-8_i386.deb
libxt6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxt6_4.3.0.dfsg.1-8_i386.deb
libxtrap-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxtrap-dev_4.3.0.dfsg.1-8_i386.deb
libxtrap6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxtrap6-dbg_4.3.0.dfsg.1-8_i386.deb
libxtrap6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxtrap6_4.3.0.dfsg.1-8_i386.deb
libxtst-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxtst-dev_4.3.0.dfsg.1-8_i386.deb
libxtst6-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxtst6-dbg_4.3.0.dfsg.1-8_i386.deb
libxtst6_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxtst6_4.3.0.dfsg.1-8_i386.deb
libxv-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxv-dev_4.3.0.dfsg.1-8_i386.deb
libxv1-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxv1-dbg_4.3.0.dfsg.1-8_i386.deb
libxv1_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/libxv1_4.3.0.dfsg.1-8_i386.deb
pm-dev_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/pm-dev_4.3.0.dfsg.1-8_all.deb
proxymngr_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/proxymngr_4.3.0.dfsg.1-8_i386.deb
twm_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/twm_4.3.0.dfsg.1-8_i386.deb
x-dev_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/x-dev_4.3.0.dfsg.1-8_all.deb
x-window-system-core_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/x-window-system-core_4.3.0.dfsg.1-8_i386.deb
x-window-system-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/x-window-system-dev_4.3.0.dfsg.1-8_i386.deb
x-window-system_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/x-window-system_4.3.0.dfsg.1-8_all.deb
xbase-clients_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xbase-clients_4.3.0.dfsg.1-8_i386.deb
xdm_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xdm_4.3.0.dfsg.1-8_i386.deb
xfonts-100dpi-transcoded_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.3.0.dfsg.1-8_all.deb
xfonts-100dpi_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.3.0.dfsg.1-8_all.deb
xfonts-75dpi-transcoded_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.3.0.dfsg.1-8_all.deb
xfonts-75dpi_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.3.0.dfsg.1-8_all.deb
xfonts-base-transcoded_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.3.0.dfsg.1-8_all.deb
xfonts-base_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xfonts-base_4.3.0.dfsg.1-8_all.deb
xfonts-cyrillic_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.3.0.dfsg.1-8_all.deb
xfonts-scalable_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.3.0.dfsg.1-8_all.deb
xfree86-common_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xfree86-common_4.3.0.dfsg.1-8_all.deb
xfree86_4.3.0.dfsg.1-8.diff.gz
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-8.diff.gz
xfree86_4.3.0.dfsg.1-8.dsc
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-8.dsc
xfs_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xfs_4.3.0.dfsg.1-8_i386.deb
xfwp_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xfwp_4.3.0.dfsg.1-8_i386.deb
xlibmesa-dev_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.3.0.dfsg.1-8_all.deb
xlibmesa-dri-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri-dbg_4.3.0.dfsg.1-8_i386.deb
xlibmesa-dri_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri_4.3.0.dfsg.1-8_i386.deb
xlibmesa-gl-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dbg_4.3.0.dfsg.1-8_i386.deb
xlibmesa-gl-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dev_4.3.0.dfsg.1-8_i386.deb
xlibmesa-gl_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl_4.3.0.dfsg.1-8_i386.deb
xlibmesa-glu-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dbg_4.3.0.dfsg.1-8_i386.deb
xlibmesa-glu-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dev_4.3.0.dfsg.1-8_i386.deb
xlibmesa-glu_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu_4.3.0.dfsg.1-8_i386.deb
xlibmesa3-dbg_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.3.0.dfsg.1-8_all.deb
xlibmesa3_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibmesa3_4.3.0.dfsg.1-8_i386.deb
xlibosmesa-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.3.0.dfsg.1-8_i386.deb
xlibosmesa4-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibosmesa4-dbg_4.3.0.dfsg.1-8_i386.deb
xlibosmesa4_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibosmesa4_4.3.0.dfsg.1-8_i386.deb
xlibs-data_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xlibs-data_4.3.0.dfsg.1-8_all.deb
xlibs-dbg_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xlibs-dbg_4.3.0.dfsg.1-8_all.deb
xlibs-dev_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xlibs-dev_4.3.0.dfsg.1-8_all.deb
xlibs-pic_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xlibs-pic_4.3.0.dfsg.1-8_all.deb
xlibs-static-dev_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibs-static-dev_4.3.0.dfsg.1-8_i386.deb
xlibs-static-pic_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xlibs-static-pic_4.3.0.dfsg.1-8_i386.deb
xlibs_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xlibs_4.3.0.dfsg.1-8_all.deb
xmh_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xmh_4.3.0.dfsg.1-8_i386.deb
xnest_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xnest_4.3.0.dfsg.1-8_i386.deb
xprt_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xprt_4.3.0.dfsg.1-8_i386.deb
xserver-common_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xserver-common_4.3.0.dfsg.1-8_i386.deb
xserver-xfree86-dbg_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xserver-xfree86-dbg_4.3.0.dfsg.1-8_i386.deb
xserver-xfree86_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xserver-xfree86_4.3.0.dfsg.1-8_i386.deb
xspecs_4.3.0.dfsg.1-8_all.deb
  to pool/main/x/xfree86/xspecs_4.3.0.dfsg.1-8_all.deb
xterm_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xterm_4.3.0.dfsg.1-8_i386.deb
xutils_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xutils_4.3.0.dfsg.1-8_i386.deb
xvfb_4.3.0.dfsg.1-8_i386.deb
  to pool/main/x/xfree86/xvfb_4.3.0.dfsg.1-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 252873@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabio M. Di Nitto <fabbione@fabbione.net> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 28 Sep 2004 13:14:12 +0200
Source: xfree86
Binary: libx11-6-dbg libxtst6-dbg xserver-common xlibs-static-dev libxp6-dbg xbase-clients xlibmesa3-dbg libxtrap6-dbg xfonts-75dpi libxt6 libice6-dbg xmh libxaw6-dbg x-dev libxv1 libxext6-dbg xlibmesa-dev libxpm4 libxtst6 xlibmesa-gl-dev xfonts-cyrillic libx11-6 libsm6-dbg xlibs-pic xlibs-data x-window-system xfree86-common xlibmesa-dri xlibmesa3 libxv1-dbg libxrandr2 xlibmesa-glu libxaw7-dev xnest libxaw6 xterm libxp6 xlibmesa-dri-dbg libxrandr2-dbg libxmu6 xlibmesa-glu-dbg libx11-dev xlibs-static-pic libxpm4-dbg libxaw7-dbg libxmu6-dbg xlibmesa-glu-dev libxmuu-dev pm-dev libxext6 libxft1-dbg libxtst-dev libxv-dev libxp-dev twm x-window-system-dev libsm-dev xfonts-scalable libdps1-dbg libxmuu1-dbg xfwp libice6 libxmu-dev xlibs libdps-dev xserver-xfree86-dbg libxrandr-dev libsm6 xserver-xfree86 libdps1 proxymngr xfonts-base-transcoded libxaw6-dev lbxproxy x-window-system-core xutils xspecs libxtrap6 libice-dev libxt-dev xfs libxmuu1 libxi6-dbg xfonts-base xlibs-dbg libxpm-dev xlibmesa-gl xfonts-100dpi-transcoded libxtrap-dev xfonts-100dpi libxext-dev xfonts-75dpi-transcoded xlibosmesa4-dbg libxft1 xprt libxi-dev xlibosmesa-dev xlibosmesa4 xvfb libxaw7 xlibmesa-gl-dbg xdm xlibs-dev libxi6 libxt6-dbg
Architecture: source i386 all
Version: 4.3.0.dfsg.1-8
Distribution: unstable
Urgency: high
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Fabio M. Di Nitto <fabbione@fabbione.net>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libice-dev - Inter-Client Exchange library development files
 libice6    - Inter-Client Exchange library
 libice6-dbg - Inter-Client Exchange library (unstripped)
 libsm-dev  - X Window System Session Management library development files
 libsm6     - X Window System Session Management library
 libsm6-dbg - X Window System Session Management library (unstripped)
 libx11-6   - X Window System protocol client library
 libx11-6-dbg - X Window System protocol client library (unstripped)
 libx11-dev - X Window System protocol client library development files
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6, unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 libxext-dev - X Window System miscellaneous extension library development files
 libxext6   - X Window System miscellaneous extension library
 libxext6-dbg - X Window System miscellaneous extension library (unstripped)
 libxft1    - FreeType-based font drawing library for X (version 1)
 libxft1-dbg - FreeType-based font drawing library for X (version 1, unstripped)
 libxi-dev  - X Window System Input extension library development files
 libxi6     - X Window System Input extension library
 libxi6-dbg - X Window System Input extension library (unstripped)
 libxmu-dev - X Window System miscellaneous utility library development files
 libxmu6    - X Window System miscellaneous utility library
 libxmu6-dbg - X Window System miscellaneous utility library (unstripped)
 libxmuu-dev - lightweight X Window System miscellaneous utility library develop
 libxmuu1   - lightweight X Window System miscellaneous utility library
 libxmuu1-dbg - lightweight X Window System miscellaneous utility library (unstri
 libxp-dev  - X Window System printing extension library development files
 libxp6     - X Window System printing extension library
 libxp6-dbg - X Window System printing extension library (unstripped)
 libxpm-dev - X pixmap library development files
 libxpm4    - X pixmap library
 libxpm4-dbg - X pixmap library (unstripped)
 libxrandr-dev - X Window System Resize, Rotate and Reflection extension library d
 libxrandr2 - X Window System Resize, Rotate and Reflection extension library
 libxrandr2-dbg - X Window System Resize, Rotate and Reflection extension library (
 libxt-dev  - X Toolkit Intrinsics development files
 libxt6     - X Toolkit Intrinsics
 libxt6-dbg - X Toolkit Intrinsics (unstripped)
 libxtrap-dev - X Window System protocol-trapping extension library development f
 libxtrap6  - X Window System protocol-trapping extension library
 libxtrap6-dbg - X Window System protocol-trapping extension library (unstripped)
 libxtst-dev - X Window System event recording and testing extension library dev
 libxtst6   - X Window System event recording and testing extension library
 libxtst6-dbg - X Window System event recording and testing extension library (un
 libxv-dev  - X Window System video extension library development files
 libxv1     - X Window System video extension library
 libxv1-dbg - X Window System video extension library (unstripped)
 pm-dev     - proxy management protocol development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-dev      - X protocol development files
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 x-window-system-dev - X Window System development components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries pseudopackage
 xlibmesa-dri - Mesa 3D graphics library modules [XFree86]
 xlibmesa-dri-dbg - Mesa 3D graphics library modules (unstripped) [XFree86]
 xlibmesa-gl - Mesa 3D graphics library [XFree86]
 xlibmesa-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries pseudopackage
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries pseudopackage
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa4 - Mesa off-screen rendering library [XFree86]
 xlibosmesa4-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Window System client libraries metapackage and XKB data
 xlibs-data - X Window System client data
 xlibs-dbg  - X Window System unstripped client libraries pseudopackage
 xlibs-dev  - X Window System client library development files pseudopackage
 xlibs-pic  - XFree86 static PIC libraries pseudopackage
 xlibs-static-dev - X Window System client library development files
 xlibs-static-pic - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server (XFree86 version)
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 234085 234085 247463 252873 256468 259740 268759 269025 270228 270503 270714 270810 271071 271235 271259 271326 272493 273516
Changes: 
 xfree86 (4.3.0.dfsg.1-8) unstable; urgency=high
 .
   Changes by Denis Barbier:
 .
   * Update Danish debconf template translations (thanks, Claus Hindsgaul).
     (Closes: #270503)
 .
   * Grab /etc/X11/xkb/symbols/pc/us_intl from XFree86 CVS (2003-10-04).  This
     makes us_intl multi-layout aware, and binds the right Meta key to
     Mode_Switch.  (Closes: #271326, #234085)
 .
   * Revert upstream change to altwin behavior applied in 4.3.0.dfsg.1-1.
     The Meta_* keysyms must be removed from the shift level of Alt keys when
     altwin:meta_win or altwin:left_meta_win are used; otherwise, XKB-unaware
     applications (like GNU Emacs) may believe that mod1 and mod4 are bound to
     Meta keys.
 .
   * Fix inconsistencies in rules/xfree86* files:
     + rules/xfree86: List in $oldlayouts all layouts which are currently not
       multi-layout aware in the Debian xlibs package, including hu_US (thanks,
       Veres Lajos).  (Closes: #247463, #270810)
     + rules/xfree86: Support the lv3:ralt_switch option, which exists in
       xfree86.lst but was forgotten in this file.
     + rules/xfree86: Remove special case that causes PC keyboard models with
       the us_intl layout to load the us layout and add the us_intl layout to
       it.  (Closes: #234085)
     + rules/xfree86.{lst,xml}: Replace the options altwin:meta_super and
       altwin:meta_hyper with the correct names altwin:super_win and
       altwin:hyper_win.  (Closes: #271259)
     + rules/xfree86.{lst,xml}: Synchronize these files.
 .
   Changes by Denis Barbier and Branden Robinson:
 .
   * Add FAQ entry: My keyboard configuration worked with XFree86 4.2; why is
     it messed up now?  (Closes: #259740)
 .
   Changes by Branden Robinson:
 .
   * In the Xsession script, attempt to create a file of non-zero length in
     /tmp; a full filesystem can cause mysterious X session failures.
 .
   * Add FAQ entry: How does the keyboard work in the X Window System?
 .
   * Update XTerm to patch #196 (2004-08-15) from Thomas Dickey's website.
     + Change clearing operations so foreground color attribute is not set.
       Usually this is benign, but in some cases when the cursor color is not
       set explicitly, the cursor would show this color.  (Closes: #252873)
     + Modify initialization and cleanup of utmp data to also compare the
       ut_line member.  (Closes: #256468)
 .
   * Update XTerm FAQ to revision 1.86 (2004-07-28) from Thomas Dickey's
     website.
 .
   Changes by Fabio M. Di Nitto:
 .
   * Create debian/tmp/usr/X11R6/lib/X11/doc when NOT_BUILDING_XFREE86_X_SERVER
     is defined.  Fixes FTBFS on s390.
 .
   * Security update (patch #087). Resolves the following issues:
     + CAN-2004-0687: stack overflows in libXpm
     + CAN-2004-0688: integer overflows in libXpm
     (Closes: #272493)
 .
   * Update nv driver and some support code, and grab an XVideo bugfix from
     X.Org CVS as of 2004-09-15:
     + Update 000_post430.diff:
       - Drop nv_setup.c bits.
     + Update 000_stolen_from_HEAD.diff:
       - Include xf86xv.c Xv fix for little-endian machines.
     + Rename 000_stolen_from_HEAD_nv_driver.diff to
       000_stolen_from_xorg_nv_driver and update:
       - Full nv driver from X.org.
       - Removed 2 references to XORG_VERSION_CURRENT since it is not defined.
     + Rename 000_stolen_from_freedesktop.org.diff to 000_stolen_from_xorg.diff
       and update:
       - Add xaa bits required to compile the new nv driver.
       - Add fbdevhw bits required to compile the new nv driver.
     + Update 030_Xserver_and_driver_region_primitive_fixups.diff:
       - REGION_EQUAL backport from X.org.
       - Fix call to REGION_EQUAL in Xv autopaint initialization error
         introduced in 4.3.0.dfsg.1-7.
     + Drop 098_nv_xvideo_fullscreen_fix.diff:
       - Now included upstream.
     + Rediff 911_debian_XF86Config_to_XF86Config-4.diff.
     + Update MANIFEST and xserver-xfree86.install files to reflect the new
       riva128.o submodule.
     (Closes: #269025, #268759, #271235, #270228, #271071, #270714)
 .
   * Update Czech debconf template translations (thanks, Miroslav Kure).
     (Closes: #273516)
 .
   Changes by ISHIKAWA Mutsumi:
 .
   * Update Japanese debconf template translations (thanks, Kenshi Muto).
Files: 
 6e3f7649a6e9e27f14803b73ce04778d 2666 x11 optional xfree86_4.3.0.dfsg.1-8.dsc
 c8560ff59cd93538d1ff3cd4df683cd8 3337020 x11 optional xfree86_4.3.0.dfsg.1-8.diff.gz
 2488e2658b6d3536d041b7c0031ee9d7 144902 libdevel optional pm-dev_4.3.0.dfsg.1-8_all.deb
 b58348441bdf44dcd06c2c213dcd1f00 201856 libdevel optional x-dev_4.3.0.dfsg.1-8_all.deb
 e9fa0c82ddb13b5735ff81ae3bf3b954 4348358 x11 optional xfonts-100dpi_4.3.0.dfsg.1-8_all.deb
 70eb0dc5038d4438e939f37f9d1fe55c 8182608 x11 optional xfonts-100dpi-transcoded_4.3.0.dfsg.1-8_all.deb
 cf74d49bfb73387c0b093a39670aa930 3826190 x11 optional xfonts-75dpi_4.3.0.dfsg.1-8_all.deb
 445c3ced262d3d28769448c18b432573 7059176 x11 optional xfonts-75dpi-transcoded_4.3.0.dfsg.1-8_all.deb
 69639c4fbf2641c32d052b78750abfc3 5476022 x11 optional xfonts-base_4.3.0.dfsg.1-8_all.deb
 6e3046470b40c7331893ce64e7f4778b 1188978 x11 optional xfonts-base-transcoded_4.3.0.dfsg.1-8_all.deb
 455e9ba33e45089edfc29c3f5f787d39 526448 x11 optional xfonts-cyrillic_4.3.0.dfsg.1-8_all.deb
 11e67d3e2f4f50ad1c167ee51584ceda 886266 x11 optional xfonts-scalable_4.3.0.dfsg.1-8_all.deb
 cb99ffeae7e2cf944cb3d9212aaa78ff 775158 x11 optional xfree86-common_4.3.0.dfsg.1-8_all.deb
 8a5d7cce95cf8db88520849ac18666bf 403290 libs optional xlibs_4.3.0.dfsg.1-8_all.deb
 5c864f0d069f365e35a077183b3492f4 891208 libs optional xlibs-data_4.3.0.dfsg.1-8_all.deb
 2a68a0a0fa8d9e1141028f69ebbf08fd 5821662 x11 optional xspecs_4.3.0.dfsg.1-8_all.deb
 0a92bfc6d9a0757555e5ab0fe36364c7 144192 x11 optional x-window-system_4.3.0.dfsg.1-8_all.deb
 5ddc09cc742469d5e6758a2ae6fd5944 144046 oldlibs extra xlibmesa3-dbg_4.3.0.dfsg.1-8_all.deb
 01df33a28bff23b1e5aab265590c003c 144032 oldlibs optional xlibmesa-dev_4.3.0.dfsg.1-8_all.deb
 ceae47d1494f63887c8488bb218ff649 144098 oldlibs extra xlibs-dbg_4.3.0.dfsg.1-8_all.deb
 ba74eaaf36362a3ee6e17dd40c975462 144100 oldlibs extra xlibs-dev_4.3.0.dfsg.1-8_all.deb
 8386a07317bd6850c644a3fde51952ed 144006 oldlibs extra xlibs-pic_4.3.0.dfsg.1-8_all.deb
 642aac50f9f136432aae47902a940ff6 235900 x11 optional lbxproxy_4.3.0.dfsg.1-8_i386.deb
 f8cb647cff8f8e75c1ad4ec49a18654d 271502 libs optional libdps1_4.3.0.dfsg.1-8_i386.deb
 9e41d309eeca6ddcb82aa4a47f775a11 768402 libdevel extra libdps1-dbg_4.3.0.dfsg.1-8_i386.deb
 5c386af900464899e66e2a136b074382 327726 libdevel optional libdps-dev_4.3.0.dfsg.1-8_i386.deb
 9dff8c0e4aca286e3145df43494063d6 188870 libs optional libice6_4.3.0.dfsg.1-8_i386.deb
 59deace86f555946777c7254d65528f4 271778 libdevel extra libice6-dbg_4.3.0.dfsg.1-8_i386.deb
 71b4766229376f2e084fa21678eb19e5 190828 libdevel optional libice-dev_4.3.0.dfsg.1-8_i386.deb
 194bcfb2345da5d63fcba2ecfc0cbda8 166604 libs optional libsm6_4.3.0.dfsg.1-8_i386.deb
 46c1b032f6c79e4b530307239915beea 190846 libdevel extra libsm6-dbg_4.3.0.dfsg.1-8_i386.deb
 9dcfe48b4e76e80c4aa3ccc6247b642e 162158 libdevel optional libsm-dev_4.3.0.dfsg.1-8_i386.deb
 0628dfd6bfbb19aec517fd66770c6c33 702398 libs optional libx11-6_4.3.0.dfsg.1-8_i386.deb
 0f718336c80cf64d3ba2def0edb73070 9591250 libdevel extra libx11-6-dbg_4.3.0.dfsg.1-8_i386.deb
 728eb50cf3f2619fdffe5910ad663969 1343990 libdevel optional libx11-dev_4.3.0.dfsg.1-8_i386.deb
 8447bebb0a89143872e162fbb818e8ea 270708 libs optional libxaw6_4.3.0.dfsg.1-8_i386.deb
 c383c7f1c6d83f27e50090147df5d1c7 876220 libdevel extra libxaw6-dbg_4.3.0.dfsg.1-8_i386.deb
 d58963aa6b4b563a13d9817fdda9611f 399610 libdevel extra libxaw6-dev_4.3.0.dfsg.1-8_i386.deb
 e0bb1814d6b1e1b9e36e3a7935745b9d 323816 libs optional libxaw7_4.3.0.dfsg.1-8_i386.deb
 2466469f617d1eb280e60671b47f7c85 1010920 libdevel extra libxaw7-dbg_4.3.0.dfsg.1-8_i386.deb
 ad8d11df27d9cc40d3ad069aff659322 399516 libdevel optional libxaw7-dev_4.3.0.dfsg.1-8_i386.deb
 6ff947885e5cb5a404f1f7ecf808ecdf 173772 libs optional libxext6_4.3.0.dfsg.1-8_i386.deb
 2c984508c6e6d152d3a3eba8720cd6c0 493242 libdevel extra libxext6-dbg_4.3.0.dfsg.1-8_i386.deb
 c79805470b5ad1adaf1f3288d5796e8e 232246 libdevel optional libxext-dev_4.3.0.dfsg.1-8_i386.deb
 bc59938aa63ed05b6491bf628cf816cf 176058 libs optional libxft1_4.3.0.dfsg.1-8_i386.deb
 0fe6443e2bfefe555d7fc8649e3d6bbb 455162 libdevel extra libxft1-dbg_4.3.0.dfsg.1-8_i386.deb
 b00dae42904acc049f7b0b7b5b9223c1 164984 libs optional libxi6_4.3.0.dfsg.1-8_i386.deb
 e2611759240234199c8200c0f034af10 1152542 libdevel extra libxi6-dbg_4.3.0.dfsg.1-8_i386.deb
 28b2a4dc040364735c271d2c97b60088 216628 libdevel optional libxi-dev_4.3.0.dfsg.1-8_i386.deb
 a81f28108204c5c3311bb2f72eed66e5 195206 libs optional libxmu6_4.3.0.dfsg.1-8_i386.deb
 d5be932c65a395092d101a786d9853e8 645430 libdevel extra libxmu6-dbg_4.3.0.dfsg.1-8_i386.deb
 96ec3d7b5bfa0ebcea7e1b16715f1aed 203766 libdevel optional libxmu-dev_4.3.0.dfsg.1-8_i386.deb
 cfa1d39e8dab784008c3ad322760eb20 157012 libs optional libxmuu1_4.3.0.dfsg.1-8_i386.deb
 445d8bb5fef6480257835aa4f2cc3efb 193974 libdevel extra libxmuu1-dbg_4.3.0.dfsg.1-8_i386.deb
 0cffb2d0a27b313f081715ab8194cf0e 148504 libdevel optional libxmuu-dev_4.3.0.dfsg.1-8_i386.deb
 8413083ff22ce7fb395661b13d1400e3 164124 libs optional libxp6_4.3.0.dfsg.1-8_i386.deb
 a96c70f6ed45a7960fd70a1347345a8f 550854 libdevel extra libxp6-dbg_4.3.0.dfsg.1-8_i386.deb
 ba02aa562ff833829df64f1ad5c1c815 164470 libdevel optional libxp-dev_4.3.0.dfsg.1-8_i386.deb
 98e89c815532cf9ffa5d51f856b775b9 180136 libs optional libxpm4_4.3.0.dfsg.1-8_i386.deb
 f33698fe27b71e7c08c75a32464c4e9d 224110 libdevel extra libxpm4-dbg_4.3.0.dfsg.1-8_i386.deb
 8f1334a4369ac5f6f4f258e3659b0395 177882 libdevel optional libxpm-dev_4.3.0.dfsg.1-8_i386.deb
 0b341a4526211e278130f919c0612c54 156762 libs optional libxrandr2_4.3.0.dfsg.1-8_i386.deb
 d8f873d1e65ce3d89b9b6b7592cb4133 185890 libdevel extra libxrandr2-dbg_4.3.0.dfsg.1-8_i386.deb
 f1366e3fa618752d9b53f5e304f488df 156776 libdevel optional libxrandr-dev_4.3.0.dfsg.1-8_i386.deb
 82c97aa7d0339dc0f2eaecda9c307fd4 311774 libs optional libxt6_4.3.0.dfsg.1-8_i386.deb
 f4a1976841627ea6b295f1288f614b30 1516646 libdevel extra libxt6-dbg_4.3.0.dfsg.1-8_i386.deb
 637798c85b9662ff32e35c8ca50fb584 599822 libdevel optional libxt-dev_4.3.0.dfsg.1-8_i386.deb
 0e817cc47ddf92a23c5fc03fd70b4857 165916 libs optional libxtrap6_4.3.0.dfsg.1-8_i386.deb
 b09b60e47bf11a13430f548e94c25a62 395802 libdevel extra libxtrap6-dbg_4.3.0.dfsg.1-8_i386.deb
 72bae7a2a6dd25c5f442a978b5b74eb4 170300 libdevel optional libxtrap-dev_4.3.0.dfsg.1-8_i386.deb
 5ccb90722aaf86b8115daf719f940f65 159772 libs optional libxtst6_4.3.0.dfsg.1-8_i386.deb
 991478a56007b79173635b096d6cf06f 222032 libdevel extra libxtst6-dbg_4.3.0.dfsg.1-8_i386.deb
 fe3d7e040e032882dec7cef92ec12ebc 155994 libdevel optional libxtst-dev_4.3.0.dfsg.1-8_i386.deb
 0e7ecf1cb7cda0156a8265443ab67a22 157858 libs optional libxv1_4.3.0.dfsg.1-8_i386.deb
 988d9d3eef467077fb7bda2b46d74bf4 188714 libdevel extra libxv1-dbg_4.3.0.dfsg.1-8_i386.deb
 a4806705297c34387f58dc6dd82ea4d6 176194 libdevel optional libxv-dev_4.3.0.dfsg.1-8_i386.deb
 c7b606285bfbbcfc9cb42fc1dc96e923 168032 x11 optional proxymngr_4.3.0.dfsg.1-8_i386.deb
 bd3b16d4ade898dca0fa73738d90fbfe 250290 x11 optional twm_4.3.0.dfsg.1-8_i386.deb
 a1da28af4b0de9dee06af55e6a606b94 1925650 x11 optional xbase-clients_4.3.0.dfsg.1-8_i386.deb
 ebe6507801b85eb520520dc02b231bd8 286990 x11 optional xdm_4.3.0.dfsg.1-8_i386.deb
 cca56adafa11696ffcb0c55af7346128 480182 x11 optional xfs_4.3.0.dfsg.1-8_i386.deb
 7313368f8880cd3c7901802f4bec0516 166032 x11 optional xfwp_4.3.0.dfsg.1-8_i386.deb
 d573936075e36363681f7458561950f5 4988224 x11 optional xlibmesa-dri_4.3.0.dfsg.1-8_i386.deb
 3927c418bceec906914ed182ea6c84b3 49475320 x11 optional xlibmesa-dri-dbg_4.3.0.dfsg.1-8_i386.deb
 e293121b257bf9a164dc8069b94fb7f6 268730 libs optional xlibmesa-gl_4.3.0.dfsg.1-8_i386.deb
 7ade1941c1cb3c935554ecf693931df4 1216148 libdevel extra xlibmesa-gl-dbg_4.3.0.dfsg.1-8_i386.deb
 9eb25ea695273315f1008f042a7b5e28 690674 libdevel optional xlibmesa-gl-dev_4.3.0.dfsg.1-8_i386.deb
 29387afa90a651d3011c82c98c6cb450 351192 libs optional xlibmesa-glu_4.3.0.dfsg.1-8_i386.deb
 524be81ffcc77678025f6e5fc610c9a2 1096712 libdevel extra xlibmesa-glu-dbg_4.3.0.dfsg.1-8_i386.deb
 8958e6d3cbec6254bd09453d666ba63f 420400 libdevel optional xlibmesa-glu-dev_4.3.0.dfsg.1-8_i386.deb
 92144b704ce263503c4782dcfb8056c4 646878 libs optional xlibosmesa4_4.3.0.dfsg.1-8_i386.deb
 664368566ef5de3bf0a129a24532d7d8 4563988 libdevel extra xlibosmesa4-dbg_4.3.0.dfsg.1-8_i386.deb
 22351e82fb9f78b40cfc2e695430c417 775350 libdevel optional xlibosmesa-dev_4.3.0.dfsg.1-8_i386.deb
 952cac40df0054cb0f11e27d3a3371e6 839580 libdevel optional xlibs-static-dev_4.3.0.dfsg.1-8_i386.deb
 ab87e33a3b40facb6e35b6bd8d807fea 369832 libdevel extra xlibs-static-pic_4.3.0.dfsg.1-8_i386.deb
 ae38a5aff5565d9d0c36ecf5d6d3ad0a 212368 mail extra xmh_4.3.0.dfsg.1-8_i386.deb
 3cc4f08a5eaf6bb5803d2713404eeba4 1450772 x11 optional xnest_4.3.0.dfsg.1-8_i386.deb
 685ad96c4555e63280c466d2553572f5 1111794 x11 optional xprt_4.3.0.dfsg.1-8_i386.deb
 2774731e3b8ff33e49e67b8deb90ed2c 319036 x11 optional xserver-common_4.3.0.dfsg.1-8_i386.deb
 1a2650d69b259863d12da069d82cd979 5688526 x11 optional xserver-xfree86_4.3.0.dfsg.1-8_i386.deb
 8533fca4a028b3a54c5aa11252dccf49 54539490 x11 extra xserver-xfree86-dbg_4.3.0.dfsg.1-8_i386.deb
 dc312c65b128e48b1edea8e5b4063015 485098 x11 optional xterm_4.3.0.dfsg.1-8_i386.deb
 3d0d77f5a0aeb659d50e3401a768bf7f 893946 x11 optional xutils_4.3.0.dfsg.1-8_i386.deb
 bd7090fc09bd5e7ca213166ff30c28c0 1586136 x11 optional xvfb_4.3.0.dfsg.1-8_i386.deb
 003335ca92fc8b511556a7463533020b 144260 x11 optional x-window-system-core_4.3.0.dfsg.1-8_i386.deb
 0945a39fde020547f964b3c044960da0 144312 x11 extra x-window-system-dev_4.3.0.dfsg.1-8_i386.deb
 29171b5c9a289b5a0abad0009f1c7b07 144058 oldlibs optional xlibmesa3_4.3.0.dfsg.1-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBWVZThCzbekR3nhgRAodcAJkBO4cVNoHaMRY04jS2BxiZzXGzHgCfc3rK
zwxIZdQXC+Q0lTZmzc5SUk4=
=F3U6
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 02:00:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.